/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.Product;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype description */
public class ProductDesc {
    /**  */
    public int calcQtySold() {
        return 0;
    }

    public BigDecimal calcTotalSales() {
        return new BigDecimal(0);
    }

    /**  */
    public BigDecimal calcPriceFor() {
        return new BigDecimal(0);
    }

    public BigDecimal calcAvgSalePrice() {
        return new BigDecimal(0);
    }

    public BigDecimal calcCostAllocation() {
        return new BigDecimal(0);
    }

    /**  */
    public void calcTotalOverheadAllocation() {
    }

    public Vector forecastSales() {
        return new Vector();
    }

    public boolean verifyAvailabilityOfQty() {
        return false;
    }

    public static Vector listProductDescs() {
        return new Vector();
    }

    private int type;
    private String name;
    private String itemNumber;
    private String description;

    /**
     *@supplierCardinality 0..*
     * @associates <b>ProductPrice</b>
     * @clientCardinality 0..*
     */
    private Vector priceObjects;

    /**
     *@clientCardinality 0..*
     * @supplierCardinality 0..*
     */
    private TaxCategoryDesc lnkUnnamed3;

    /**
     *@supplierCardinality 0..1
     *@clientCardinality 0..*
     */
    private ProductSpec lnkUnnamed4;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private ProductSaleMgmt.ProductAssessment.CostAndOverheadAllocation lnkUnnamed;

    /**
     *@shapeType AggregationLink
     *    @associates <b>ProductDesc</b>
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     * @clientRole larger
     * @supplierRole smaller
     */
    private Vector lnkUnnamed6;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private Product lnkUnnamed5;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..1
     */
    private ProductAgreementDesc lnkUnnamed12;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private CashSaleMgmt.CashSale.CashSaleDetail lnkUnnamed1;

    /**
     * @clientCardinality 0..1
     * @supplierCardinality 0..*
     */
    private ProductSaleMgmt.SaleToCustomer.SaleToCustomerDetail lnkUnnamed42;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     * @label derivable
     */
    private ProductSaleMgmt.DeliveryToCustomer.DeliveryDetail lnkUnnamed2;
}


